API Reference for Marketo Engage

Clone Program

POST /rest/asset/v1/program/{id}/clone.json

Clones the target program.

Operation ID
cloneProgramUsingPOST
Permissions
Read-Write Assets
Request format
application/x-www-form-urlencoded
Returns
ResponseOfProgramResponse

Parameters

Path 1

id integer (int32) required

Request body

application/x-www-form-urlencoded · required · CloneProgramRequest · 5 properties

Sent as URL-encoded form fields. Object properties are sent as JSON text in their field.

description string
folder Folder required

JSON representation of parent folder, with members 'id', and 'type' which may be 'Folder' or 'Program'

Model Folder

id integer (int32) required

Id of the folder

type string required

Type of folder

Values Folder Program

name string required

Name of the program. Max 255 characters

Responses

200 OK ResponseOfProgramResponse
errors array of Error

Model Error

code string required

Error code of the error. See full list of error codes here

message string required

Message describing the cause of the error

requestId string
result array of ProgramResponse

Model ProgramResponse

channel string required

Channel of the program

costs array of Costs required

Lists of associated period costs

Model Costs

cost integer (int32) required

Amount of the cost

note string

Notes on the cost

startDate string (date-time) required

Start date of the period cost

createdAt string (date-time)

Datetime the asset was created

description string

Description of the asset

endDate string (date-time)

End date of the program. Applicable to event, email, and webinar type programs

folder Folder required

JSON representation of parent folder, with members 'id', and 'type' which may be 'Folder' or 'Program'

Model Folder

id integer (int32) required

Id of the folder

type string required

Type of folder

Values Folder Program

id integer (int64)

Id of the asset

name string

Name of the asset

sfdcId string

SFDC id of the program if linked to an SFDC campaign

sfdcName string

Name of the linked SFDC campaign if applicable

startDate string (date-time)

Start date of program. Applicable to event, email and webinar type programs

status string required

Status of the program. Only valid for Email and engagement program types.

Values locked unlocked on off

tags array of Tags required

List of associated program tags

Model Tags

tagType string required

Name of the tag

tagValue string required

Value of the tag

type string required

Type of the program

Values default event webinar nurture

updatedAt string (date-time)

Datetime the asset was most recently updated

url string

Url of the asset in the Marketo UI

workspace string

Name of the workspace

success boolean
warnings array of string
Generated example
{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "channel": "string",
      "costs": [
        {
          "cost": 123,
          "note": "string",
          "startDate": "2026-01-15T10:30:00Z"
        }
      ],
      "createdAt": "2026-01-15T10:30:00Z",
      "description": "string",
      "endDate": "2026-01-15T10:30:00Z",
      "folder": {
        "id": 123,
        "type": "Folder"
      },
      "id": 123,
      "name": "Example name",
      "sfdcId": "123",
      "sfdcName": "Example name",
      "startDate": "2026-01-15T10:30:00Z",
      "status": "locked",
      "tags": [
        {
          "tagType": "string",
          "tagValue": "string"
        }
      ],
      "type": "default",
      "updatedAt": "2026-01-15T10:30:00Z",
      "url": "https://example.com",
      "workspace": "string"
    }
  ],
  "success": true,
  "warnings": [
    "string"
  ]
}

Referenced models

Generated from swagger-asset.json. Generated examples are inferred from the schema; they are illustrative and may not be valid production payloads.

↑ ↓ to move, ↵ to open, esc to closeSee all results